#include <SFML/Graphics.hpp>
#include <Level.h>

int main()
{
    sf::RenderWindow window(sf::VideoMode(400, 400), "particle example");
    window.setFramerateLimit(60);
    
    zle::ParticleSystem ps;
    ps.loadFromFile("test.part");
    ps.setPosition(window.getSize().x / 2, window.getSize().y / 2);
    ps.setScale(8, 8);

    sf::Clock clk;
    while (window.isOpen())
    {
        sf::Event event;
        while (window.pollEvent(event))
        {
            if (event.type == sf::Event::Closed)
                window.close();
        }
        ps.Update(clk.restart());

        window.clear();
        window.draw(ps);
        window.display();
    }

    return 0;
}